package com.bonus.canteen.core.notice.hawkeye.param;

import io.swagger.annotations.ApiModelProperty;
import com.bonus.canteen.core.common.utils.PageDTO;

import java.time.LocalDateTime;

public class AllocLogRecordParam extends PageDTO {
   @ApiModelProperty("登录人员名称")
   private String loginUserName;
   @ApiModelProperty("登录人员手机号")
   private String loginUserPhone;
   @ApiModelProperty("时间")
   private LocalDateTime crtimeStart;
   private LocalDateTime crtimeEnd;

   public String getLoginUserName() {
      return this.loginUserName;
   }

   public String getLoginUserPhone() {
      return this.loginUserPhone;
   }

   public LocalDateTime getCrtimeStart() {
      return this.crtimeStart;
   }

   public LocalDateTime getCrtimeEnd() {
      return this.crtimeEnd;
   }

   public void setLoginUserName(final String loginUserName) {
      this.loginUserName = loginUserName;
   }

   public void setLoginUserPhone(final String loginUserPhone) {
      this.loginUserPhone = loginUserPhone;
   }

   public void setCrtimeStart(final LocalDateTime crtimeStart) {
      this.crtimeStart = crtimeStart;
   }

   public void setCrtimeEnd(final LocalDateTime crtimeEnd) {
      this.crtimeEnd = crtimeEnd;
   }

   public String toString() {
      String var10000 = this.getLoginUserName();
      return "AllocLogRecordParam(loginUserName=" + var10000 + ", loginUserPhone=" + this.getLoginUserPhone() + ", crtimeStart=" + String.valueOf(this.getCrtimeStart()) + ", crtimeEnd=" + String.valueOf(this.getCrtimeEnd()) + ")";
   }
}
